using Edu.Common.Plugin;
using System;
using System.Collections.Generic;
using System.Text;

namespace Edu.Common.Enum.User
{
    /// <summary>
    /// 收客渠道
    /// </summary>
    public enum StuChannelEnum
    {
        /// <summary>
        /// 线下推广
        /// </summary>
        [EnumField("线下推广")]
        OfflinePromote = 1,

        /// <summary>
        /// 线下活动
        /// </summary>
        [EnumField("线下活动")]
        OfflineActivity = 2,

        /// <summary>
        /// 公众号
        /// </summary>
        [EnumField("公众号")]
        OfficialAccount = 3,

        /// <summary>
        /// 朋友圈
        /// </summary>
        [EnumField("朋友圈")]
        WechatMoments =4,

        /// <summary>
        /// 过路客
        /// </summary>
        [EnumField("过路客")]
        PassBy = 5,

        /// <summary>
        /// 第三方平台
        /// </summary>
        [EnumField("第三方平台")]
        ThirdPartyPlatform = 6,

        /// <summary>
        /// 其他
        /// </summary>
        [EnumField("其他")]
        Other = 7,

        /// <summary>
        /// 校园推广
        /// </summary>
        [EnumField("校园推广")]
        SchoolPromote = 8,
    }
}